Redmine - Defect #19460

svn: E200031: sqlite: attempt to write a readonly database
2015-03-24 02:26 - ChunChang (Nagaharu) Lo

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Resolution: Invalid Affected version:

Description

something wrong with the redmine svn repository?

History

#1 - 2015-03-24 04:46 - Toshi MARUYAMA

- Status changed from New to Needs feedback

Does "Subversion user" have permission on Unix/Linux home directory or Windows user profile?
Subversion uses sqlite3 for internal use.
https://www.google.com/search?g=subversion+sqglite+permission

#2 - 2015-03-24 04:59 - Toshi MARUYAMA

There is no problem on my CentOS6.

$ LANG=C svn info

Path:

URL: https://svn.redmine.org/redmine/trunk

Repository Root: https://svn.redmine.org/redmine
Repository UUID: e€93f8b46-1217-0410-a6£f0-8£f06a7374b81
Revision: 14155

Node Kind: directory

Schedule: normal

Last Changed Author: jplang

Last Changed Rev: 14155

Last Changed Date: 2015-03-22 18:26:33 +0900 (Sun, 22 Mar 2015)

$ LANG=C svn update -r 14154

U config/application.rb

) config/environments/production.rb
Updated to revision 14154.

$ LANG=C svn update

U config/application.rb

U config/environments/production.rb
Updated to revision 14155.

$ LANG=C svn --version
svn, version 1.6.11 (r934486)
compiled Feb 10 2015, 22:08:22

Copyright (C) 2000-2009 CollabNet.
Subversion is open source software, see http://subversion.tigris.org/
This product includes software developed by CollabNet (http://www.Collab.Net/).

The following repository access (RA) modules are available:

* ra_neon : Module for accessing a repository via WebDAV protocol using Neon.
— handles 'http' scheme
- handles 'https' scheme

* ra_svn : Module for accessing a repository using the svn network protocol.
- with Cyrus SASL authentication
- handles 'svn' scheme

* ra_local : Module for accessing a repository on local disk.

2025-05-02

1/2



https://www.google.com/search?q=subversion+sqlite+permission

— handles 'file' scheme

#3 - 2015-03-24 09:47 - ChunChang (Nagaharu) Lo

Oops, my bad.

My account don't have the permission to run 'svn update'.
Now it works again.

i am very sorry for the inconvenience.

#4 - 2015-03-24 11:35 - Toshi MARUYAMA
- Status changed from Needs feedback to Closed

- Resolution set to Invalid

Thank you for your feedback.
